#
# TODO:
# - better summary and descriptions
#
Summary:	freedesktop.org standard compliant icons
Summary(pl.UTF-8):	Ikony implementujące standard freedesktop.org
Name:		tango-icon-theme
Version:	0.8.90
Release:	5
License:	Creative Commons License (see COPYING)
Group:		Themes
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	b7b9b16480afb781a4c13f8bceb8688b
Patch0:		%{name}-transparency.patch
URL:		http://tango.freedesktop.org/Tango_Desktop_Project
BuildRequires:	ImageMagick-coder-png
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	icon-naming-utils >= 0.8.90
BuildRequires:	intltool
BuildRequires:	librsvg-devel
BuildRequires:	pkgconfig
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
freedesktop.org standard compliant icons.

%description -l pl.UTF-8
Ikony implementujące standard freedesktop.org.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-png-creation
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache Tango

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%{_iconsdir}/Tango
%changelog
* Thu Aug 29 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tango-icon-theme.git;a=log;h=master

* Thu Aug 29 2019 Jan Rękorajski <baggins@pld-linux.org> ac62b32
- pull librsvg-devel to fix configure time detection
- rel 5

* Thu Aug 29 2019 Jan Rękorajski <baggins@pld-linux.org> 4068267
- librsvg is needed to build large scale bitmaps
- rel 4

* Thu Aug 29 2019 Jan Rękorajski <baggins@pld-linux.org> ff3d846
- update icon cache
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5e69038
- updated gettext BR

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> 946ec9b
- rel 2
- add patch from https://bugzilla.redhat.com/show_bug.cgi?id=709763

* Sat Dec 04 2010 Jan Palus <jan.palus@gmail.com> 5bc5093
- updated to: 0.8.90

* Thu Jun 05 2008 Karol Krenski <charles@pld-linux.org> 292c8aa
- BR: gettext-devel, intltool

* Thu Dec 20 2007 Patryk Zawadzki <patrys@room-303.com> 522904f
- 0.8.1

* Sun Feb 25 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a63705d
- updated to 0.8.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c6457b2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 72efcfe
- converted to UTF-8

* Wed May 10 2006 freetz <freetz@pld-linux.org> c944125
- 0.7.2

* Thu Mar 30 2006 Karol Krenski <charles@pld-linux.org> 839a2ef
- simplified %files
- updated License and Group

* Thu Mar 30 2006 Karol Krenski <charles@pld-linux.org> 4811b2c
- more BRs and %files

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> cfee82f
- simple descs

* Tue Mar 21 2006 czarny <czarny@pld-linux.org> dd78414
- init PLD spec
- NFY

